local playerName = UnitName("player")
local formatString = "|cff33ff99It wasn't me|r: %s used %s on you."

local throwCheckList = {
	-- Items	
	[128225] = 88487,	-- Volatile Orb WARNING: We get no dest here from Combatlog :(
	[42383] = 33081,	-- Voodoo Skull
	[50282] = 38266,	-- Rotund Relic
	[50477] = 38308,	-- Ethereal Essence Sphere
	[23065] = 18640,	-- Happy Fun Rock
	[23135] = 18662,	-- Heavy Leather Ball
	[45129] = 34494,	-- Paper Zeppelin
	[65357] = 46693,	-- Small Paper Zeppelin
	[45133] = 34497,	-- Paper Flying Machine
	
	-- Effects
	[73619] = 52490,	-- Stardust
	[27571] = 22218,	-- Handful of Rose Petals
	[44755] = 34191,	-- Handful of Snowflakes
	[45417] = 34684,	-- Handful of Summer Petals
	[26004] = 21519,	-- Mistletoe
	[26074] = 21328,	-- Wand of Holiday Cheer
	[26374] = 21713,	-- Elune's Candle
	
	-- transformations
	[24720] = 20413,	-- Hallowed Wand - Random
	[24733] = 20410,	-- Hallowed Wand - Bat
	[24737] = 20409,	-- Hallowed Wand - Ghost
	[24719] = 20399,	-- Hallowed Wand - Leper Gnome
	[24718] = 20398,	-- Hallowed Wand - Ninja
	[24717] = 20397,	-- Hallowed Wand - Pirate
	[24724] = 20411,	-- Hallowed Wand - Skeleton
	[24741] = 20414,	-- Hallowed Wand - Wisp
	
	-- Other
	[21343] = 17202,	-- Snowball
	[46661] = 35557,	-- Huge Snowbal
	[25677] = 21038,	-- Hardpacked Snowball	
	[131493] = 90067,	-- B. F. F. Necklace
	[129787] = 86584,	-- Hardened Shell
	[44212] = 34068,	-- Weighted Jack-o'-Lantern
	[101498] = 71627,	-- Throwing Starfish
	[128328] = 88580,	-- Ken-Ken's Mask
	[71087] = 50163,	-- Lovely Rose
	[61717] = 44792,	-- Blossoming Branch
	[61815] = 45073,	-- Spring Flowers
}

local function printOutput(destUnit, spellId, spellName)
	-- UnitColor
	local _,englishClass = UnitClass(destUnit)
	if englishClass and RAID_CLASS_COLORS[englishClass] then
		destUnit = "|c"..RAID_CLASS_COLORS[englishClass].colorStr..destUnit..FONT_COLOR_CODE_CLOSE
		
	else
		destUnit = NORMAL_FONT_COLOR_CODE..destUnit..FONT_COLOR_CODE_CLOSE
	end
	local spellLink = GetSpellLink(spellId)
	local _, itemLink = GetItemInfo(throwCheckList[spellId])
	print(string.format(formatString, destUnit, itemLink and itemLink or ( spellLink or spellName)))
end

local eventFrame = CreateFrame("FRAME")
local arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14

local function onEvent(self, event, arg1, arg2, arg3, ...)
	if event == "COMBAT_LOG_EVENT_UNFILTERED" then
		arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14 = ...
		if arg2 == "SPELL_CAST_SUCCESS" then
			if arg9 and arg9 == playerName and arg12 and throwCheckList[arg12] then
				printOutput(arg5, arg12, arg13)
			end
		end
	end
end

eventFrame:SetScript("OnEvent", onEvent)
eventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
